[Unit]
Description="UGCC Monitor Service"
Documentation=http://www.brainless.us
Wants=network.service
 
[Service]
#You can set the user and group you want the monitor to run as with the following two lines; otherwise run as root
#User=apache
#Group=apache
#Environment=HOME=/root
Environment=LD_LIBRARY_PATH=.:./bin
Environment=MONO_OPTIONS=--debug
Type=simple
PIDFile=/tmp/ugccmonsvc.exe.lock
ExecStart=/usr/bin/mono --debug /usr/lib/mono/4.5/mono-service.exe -d:/ugcc/mon ugccmonsvc.exe
Restart=always
KillSignal=SIGTERM
KillMode=process 
AmbientCapabilities=CAP_NET_BIND_SERVICE
StandardOutput=journal
#Uncomment these two lines if you have servers that require stdin
#StandardInput=tty
#TTYPath=/dev/tty11

[Install]
WantedBy=multi-user.target
